漏洞信息详情

e107 'usersettings.php'SQL注入漏洞

  • CNNVD编号:CNNVD-200904-478
  • 危害等级: 中危
  • CVE编号: CVE-2009-1409
  • 漏洞类型: SQL注入
  • 发布时间: 2009-04-24
  • 威胁类型: 远程
  • 更新时间: 2009-04-24
  • 厂        商: e107
  • 漏洞来源: Juri Gianni stake...

漏洞简介

e107是用php编写的内容管理系统。

e107的usersettings.php脚本没有正确地过滤对hide[]密钥所传送的输入,如果magic_quotes_gpc = off的话远程攻击者就可以通过提交恶意请求执行SQL注入攻击。以下是usersettings.php中的有漏洞代码段:

433 - 441行:

if($ue_fields) {

$hidden_fields = implode(\"^\", array_keys($_POST[\'\' hide\'\' ])); <------ {1}

if($hidden_fields != \"\")

{

$hidden_fields = \"^\".$hidden_fields.\"^\";

}

$ue_fields .= \", user_hidden_fields = \'\' \".$hidden_fields.\"\'\' \"; <---- {2}

}

470 - 476行:

if($ue_fields)

{

[etc..]

$sql->db_Update(\"user_extended\", $ue_fields.\" WHERE user_extended_id = \'\' \".intval($inp).\"\'\' \");

}

ue[] POST变量需要有效的密钥,如aim、msn或其他user_extended_fields(@fields数组)。

漏洞公告

目前厂商还没有提供补丁或者升级程序,建议使用此软件的用户随时关注厂商的主页以获取最新版本:

http://e107.org

参考网址

来源: XF

名称: e107-hide-sql-injection(49981)

链接:http://xforce.iss.net/xforce/xfdb/49981

来源: BID

名称: 34614

链接:http://www.securityfocus.com/bid/34614

来源: MILW0RM

名称: 8495

链接:http://www.milw0rm.com/exploits/8495

来源: SECUNIA

名称: 34823

链接:http://secunia.com/advisories/34823

来源: OSVDB

名称: 53812

链接:http://osvdb.org/53812

补丁

    暂无

漏洞信息快速查询

相关漏洞

更多